%define url_ver	%(echo %{version}|cut -d. -f1,2)

Summary:	Send files from nautilus using with mail or IM
Name:		nautilus-sendto
Version:	3.8.4
Release:	%mkrel 1
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
License:	GPLv2+
Group:		Graphical desktop/GNOME
Url:		http://www.gnome.org/
BuildRequires:	pkgconfig(glib-2.0) >= 2.25.9
BuildRequires:	pkgconfig(gthread-2.0) >= 2.25.9
BuildRequires:	pkgconfig(gmodule-2.0) >= 2.25.9
BuildRequires:	pkgconfig(gtk+-3.0) >= 2.90.9
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	gnome-common
BuildRequires:	intltool
Requires:	nautilus
Obsoletes:	%{name}-gajim
Obsoletes:	%{name}-sylpheed
Obsoletes:	%{name}-thunderbird
Obsoletes:	%{name}-balsa
Obsoletes:	%{name}-devel
Obsoletes:	%{name}-bluetooth
Obsoletes:	%{name}-evolution
Obsoletes:	%{name}-pidgin
Obsoletes:	%{name}-upnp

%description
This application provides integration between nautilus and mail clients.
It adds a Nautilus context menu component ("Send To...") and features
a dialog for insert the email account which you want to send the file/files.

%prep
%setup -q

%build
%configure2_5x
%make

%install
rm -rf %{buildroot} %name.lang
%makeinstall_std
%find_lang %name

find %{buildroot} -name '*.la' -delete

%files -f %name.lang
%doc NEWS AUTHORS ChangeLog
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*


%changelog
* Mon Jun 27 2016 ovitters <ovitters> 3.8.4-1.mga6
+ Revision: 1037936
- new version 3.8.4

* Mon Mar 21 2016 ovitters <ovitters> 3.8.3-1.mga6
+ Revision: 993530
- new version 3.8.3

* Wed Feb 03 2016 umeabot <umeabot> 3.8.2-3.mga6
+ Revision: 933113
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 3.8.2-2.mga5
+ Revision: 739093
- Second Mageia 5 Mass Rebuild

* Mon Sep 22 2014 ovitters <ovitters> 3.8.2-1.mga5
+ Revision: 719244
- new version 3.8.2

* Tue Sep 16 2014 umeabot <umeabot> 3.8.1-3.mga5
+ Revision: 682808
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 3.8.1-2.mga4
+ Revision: 536676
- Mageia 4 Mass Rebuild

* Tue Sep 24 2013 ovitters <ovitters> 3.8.1-1.mga4
+ Revision: 485290
- new version 3.8.1

* Mon May 27 2013 dams <dams> 3.8.0-2.mga4
+ Revision: 428451
- Obsoletes nautilus-sendto-pidgin and nautilus-sendto-upnp

* Sun May 26 2013 dams <dams> 3.8.0-1.mga4
+ Revision: 427816
- clean %%file as nautilus-sendto no longuer provides devel and plugins subpackages
- clean BuildRequires

  + ovitters <ovitters>
    - br gobject-introspection-1.0
    - new version 3.8.0

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Dec 17 2012 ovitters <ovitters> 3.6.1-1.mga3
+ Revision: 332044
- new version 3.6.1

* Tue Sep 25 2012 ovitters <ovitters> 3.6.0-1.mga3
+ Revision: 297488
- new version 3.6.0

* Tue Jun 26 2012 ovitters <ovitters> 3.5.3-1.mga3
+ Revision: 263887
- new version 3.5.3

* Fri May 11 2012 ovitters <ovitters> 3.0.3-1.mga3
+ Revision: 235331
- new version 3.0.3

* Wed Mar 21 2012 ovitters <ovitters> 3.0.2-1.mga2
+ Revision: 225259
- new version 3.0.2

* Tue Feb 14 2012 ovitters <ovitters> 3.0.1-4.mga2
+ Revision: 208942
- clean spec

* Sat Nov 26 2011 wally <wally> 3.0.1-3.mga2
+ Revision: 172419
- rebuild for new evolution (mga#3459)
- clean .spec a bit

* Sat Oct 29 2011 fwang <fwang> 3.0.1-2.mga2
+ Revision: 159512
- rebuild for new evo

* Mon Sep 26 2011 fwang <fwang> 3.0.1-1.mga2
+ Revision: 148629
- new version 3.0.1
- rebuild for new eds
- convert br into pkgconfig style

* Sat Jun 25 2011 wally <wally> 3.0.0-2.mga2
+ Revision: 113578
- rebuild for new gupnp

* Sun Jun 19 2011 cjw <cjw> 3.0.0-1.mga2
+ Revision: 109687
- 3.0.0
- set url to gnome.org since old one doesn't work anymore

* Sun Feb 20 2011 eandry <eandry> 2.32.0-2.mga1
+ Revision: 54896
- drop buildroot
- imported package nautilus-sendto

